# nem

## Local Setup

* [Install Mongodb](https://www.mongodb.com/docs/manual/installation/)
	* You must start local mongodb server before launch ie for linux : sudo service mongodb start

### Build Setup

```bash
# Go to nuxt project folder
$ cd nem/src/nem

# install dependencies
$ npm install

# build for production in local env and launch server : localhost:3000
$ npm run build
$ npm run start
```

### Hot Reload Setup

```bash
# Go to nuxt project folder
$ cd nem/src/nem

# install dependencies
$ npm install

# serve with hot reload in local env : localhost:3000
$ npm run dev
```

## Prod Setup 

* [Install Docker \& Docker-compose](https://docs.docker.com/get-started/08_using_compose/)
	* You must stop local mongodb server before launch ie for linux : sudo service mongodb stop

```bash
# Go to project root folder
$ cd nem

# build conterized project
$ docker-compose build

# deploy conterized project
$ docker-compose up

```

## Special Directories

You can create the following extra directories, some of which have special behaviors. Only `pages` is required; you can delete them if you don't want to use their functionality.

### `assets`

The assets directory contains your uncompiled assets such as Stylus or Sass files, images, or fonts.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/directory-structure/assets).

### `components`

The components directory contains your Vue.js components. Components make up the different parts of your page and can be reused and imported into your pages, layouts and even other components.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/directory-structure/components).

### `layouts`

Layouts are a great help when you want to change the look and feel of your Nuxt app, whether you want to include a sidebar or have distinct layouts for mobile and desktop.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/directory-structure/layouts).


### `pages`

This directory contains your application views and routes. Nuxt will read all the `*.vue` files inside this directory and setup Vue Router automatically.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/get-started/routing).

### `plugins`

The plugins directory contains JavaScript plugins that you want to run before instantiating the root Vue.js Application. This is the place to add Vue plugins and to inject functions or constants. Every time you need to use `Vue.use()`, you should create a file in `plugins/` and add its path to plugins in `nuxt.config.js`.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/directory-structure/plugins).

### `static`

This directory contains your static files. Each file inside this directory is mapped to `/`.

Example: `/static/robots.txt` is mapped as `/robots.txt`.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/directory-structure/static).

### `store`

This directory contains your Vuex store files. Creating a file in this directory automatically activates Vuex.

More information about the usage of this directory in [the documentation](https://nuxtjs.org/docs/2.x/directory-structure/store).
